function battle_bai043(npcID)  --童草

	
    n=flag.GetBattleValue(12002)
    m=battle.GetSelfHP(2)

	if m>=30 then
		if n~=3 then
			a=battle.GetRndNumber(1,10)
			if a>=1 and a<=3 then
				n=n+1
				flag.SetBattleValue(12002,n)
				id = battle.GetRndPlayer()
				if id==128 and battle.CheckNpcStat(npcID,734)==1 and battle.CheckPlayerStat(128,735)==1 and battle.GetRndNumber(1,10)<=3 then
                    battle.SetDamageScale(9999)
					player.RemoveStat(0,64,731)
			    end
				battle.AtkToPlayer(id,1)     --普通攻击
			elseif a>=4 and a<=10 then
				id = battle.GetRndPlayer()
				if battle.CheckPlayerStat(id,6)==0 then
					battle.MagicToPlayer(id,1002,1)   --单体法术
					flag.SetBattleValue(12002,0)
					flag.SetBattleValue(12802,id)
				else
					if id==128 and battle.CheckNpcStat(npcID,734)==1 and battle.CheckPlayerStat(128,735)==1 and battle.GetRndNumber(1,10)<=3 then
                        battle.SetDamageScale(9999)
					    player.RemoveStat(0,64,731)
			        end
					battle.AtkToPlayer(id,1)     --普通攻击
					n=n+1
					flag.SetBattleValue(12002,n)
				end
			end
		else
			id = battle.GetRndPlayer()
			if battle.CheckPlayerStat(id,6)==0 then
				battle.MagicToPlayer(id,1002,1)   --单体法术
				flag.SetBattleValue(12802,id)
			else
				if id==128 and battle.CheckNpcStat(npcID,734)==1 and battle.CheckPlayerStat(128,735)==1 and battle.GetRndNumber(1,10)<=3 then
                    battle.SetDamageScale(9999)
					player.RemoveStat(0,64,731)
			    end
				battle.AtkToPlayer(id,1)     --普通攻击
			end
			flag.SetBattleValue(12002,0)
		end
	else
		b=battle.GetRndNumber(1,10)         
		if b>=1 and b<=7 then
			ui.Popo_Auto(87047,1,npcID,1.2,0)   --一点也不温柔～变变变！--一点也不温柔～变变变！
			global.Wait(1.2)
			players = {}               --用以储存场上玩家没有被异变的
			i=1
			for p=0,9,1 do
				pid=2^p
				if player.IsPlayerInBattle(pid)==1 and battle.CheckPlayerStat(pid,6)==0 and player.GetHP(pid,0)~=0 and battle.CheckPlayerStat(pid,28)==0 then
					players[i]=pid
					i=i+1
				end
			end
			j=#players
			if j>1 then
				o = battle.GetRndNumber(1,j)
				id = players[o]
				battle.MagicToPlayer(id,1002,1)   --单体法术
			elseif j==1 then
				id = players[1]
				battle.MagicToPlayer(id,1002,1)   --单体法术	  
			else
				id = battle.GetRndPlayer()
				if id==128 and battle.CheckNpcStat(npcID,734)==1 and battle.CheckPlayerStat(128,735)==1 and battle.GetRndNumber(1,10)<=3 then
                    battle.SetDamageScale(9999)
					player.RemoveStat(0,64,731)
			    end
				battle.AtkToPlayer(id,1)     --普通攻击
			end
		else
			id = battle.GetRndPlayer()
			if id==128 and battle.CheckNpcStat(npcID,734)==1 and battle.CheckPlayerStat(128,735)==1 and battle.GetRndNumber(1,10)<=3 then
                battle.SetDamageScale(9999)
				player.RemoveStat(0,64,731)
			end
			battle.AtkToPlayer(id,1)
		end
	end
end